# Interface methods for submodule: WeightedAddImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BinaryGeneratorImageFilterProxy as _BinaryGeneratorImageFilterProxy


# Interface methods for class: WeightedAddImageFilter
class WeightedAddImageFilterProxy(_BinaryGeneratorImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAlpha(self, alpha: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

